gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.MenuItem A menu item with a check box.

A CheckMenuItem is a menu item that maintains the state of a boolean value in addition to a 's usual role in activating application code.

A check box indicating the state of the boolean value is displayed at the left side of the . Activating the toggles the value.

Whether the CheckMenuItem is 'on' or not can be determined with the property.

- Constructor
  2.12.0.0
  Creates a CheckMenuItem with no label
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Constructor
  2.12.0.0
  The text to appear on the menu item.
  Create a new CheckMenuItem with the specified .

  The text label will be created using , so underscores in the label indicate the mnemonic for the menu item.

- Property
  2.12.0.0
  GLib.Property("active")
  System.Boolean The 'active' state of the CheckMenuItem
- Property
  2.12.0.0
  GLib.Property("draw-as-radio")
  System.Boolean Whether the menu item looks like a radio menu item. a
- Method
  2.12.0.0
  System.Void Fires the event.
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("inconsistent")
  System.Boolean Manages whether the CheckMenuItem is in the 'inconsistent' state. if this CheckMenuItem is in the inconsistent state, otherwise.

  If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a boolean setting, and the current values in that range are inconsistent, you may want to display the check in an "in between" state. This property turns on "in between" display.

  Normally you would turn off the inconsistent state again if the user explicitly selects a setting. This has to be done manually, this property only affects visual appearance, it doesn't affect the semantics of the widget.

- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideToggled", Type=typeof(Gtk.CheckMenuItem))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  System.Obsolete
  System.Boolean Whether this menu item can be toggled. a
- Method
  2.12.0.0
  System.Void Toggles the state of the check box between active and inactive.
- Event
  2.12.0.0
  GLib.Signal("toggled")
  System.EventHandler An event that is raised whenever the state of the CheckMenuItem is toggled.

  Connect to this event with a standard .